'use strict';

var reactQuery = require('@tanstack/react-query');
var jsxRuntime = require('react/jsx-runtime');
var wagmi = require('wagmi');

// src/providers/wrappers/ReactQueryWrapper.tsx
function isReactQueryEnabled(props) {
  return props.enabled === true;
}
var ReactQueryWrapper = (props) => {
  const { children } = props;
  if (isReactQueryEnabled(props)) {
    const { ...reactQueryProps } = props;
    return /* @__PURE__ */ jsxRuntime.jsx(reactQuery.QueryClientProvider, { ...reactQueryProps, children });
  }
  return /* @__PURE__ */ jsxRuntime.jsx(jsxRuntime.Fragment, { children });
};
function isWagmiEnabled(props) {
  return props.enabled === true;
}
var WagmiWrapper = (props) => {
  const { children } = props;
  if (isWagmiEnabled(props)) {
    const { ...wagmiProps } = props;
    return /* @__PURE__ */ jsxRuntime.jsx(wagmi.WagmiProvider, { ...wagmiProps, children });
  }
  return /* @__PURE__ */ jsxRuntime.jsx(jsxRuntime.Fragment, { children });
};
var SettleMintProvider = ({ children, wagmi, reactQuery }) => {
  return /* @__PURE__ */ jsxRuntime.jsx(WagmiWrapper, { ...wagmi, children: /* @__PURE__ */ jsxRuntime.jsx(ReactQueryWrapper, { ...reactQuery, children }) });
};

exports.SettleMintProvider = SettleMintProvider;
//# sourceMappingURL=index.cjs.map
//# sourceMappingURL=index.cjs.map